Package org.eclipse.m2m.atl.engine.emfvm

# Class ASMXMLReaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
org.xml.sax.SAXParseException
org.eclipse.m2m.atl.engine.emfvm.ASMXMLReaderException

All Implemented Interfaces:
  `Serializable`

public class ASMXMLReaderException extends SAXParseException
An ASM XML read exception.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber, Exception e)`
Creates a new `ASMXMLReaderException` with the given parameters.

## Method Summary

### Methods inherited from class org.xml.sax.SAXParseException

`getColumnNumber, getLineNumber, getPublicId, getSystemId, toString`

### Methods inherited from class org.xml.sax.SAXException

`getCause, getException, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMXMLReaderException

public ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber, Exception e)
Creates a new `ASMXMLReaderException` with the given parameters.

Parameters:
  `message` - the error message
  `publicId` - the public id
  `systemId` - the system id
  `lineNumber` - the error location line
  `columnNumber` - the error location column
  `e` - the exception